Bug 243557 - With "No boot loader will be installed" grub.conf isn't generated
With "No boot loader will be installed" grub.conf isn't generated
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 14:23 EDT by Kevin R. Page
Modified: 2009-04-28 15:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-28 15:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin R. Page 2007-06-09 14:23:46 EDT
Description of problem:
On the bootloader configuration screen of the Fedora 7 installer, if "No boot
loader will be installed" is selected after rebooting into rescue mode grub.conf
and or boot.1st are missing from /boot

This makes correcting bootloader installation a somewhat tricky. Why might I
select "No boot loader" but still need a grub.conf? See bug 243556.


Version-Release number of selected component (if applicable):
From first spin of Fedora 7 release

How reproducible:
Only tried it once, but I suspect always.
Comment 1 Martin Sivák 2008-02-27 08:21:01 EST
Do you still need the grub.conf file with #243556 fixed? I guess it is
teoretically possible to generate some template. But I cannot generate working
grub.conf without the user choosing the MBR/partition target and the drive to
install it to.
Comment 2 Kevin R. Page 2008-02-29 12:10:02 EST
(In reply to comment #1)
> Do you still need the grub.conf file with #243556 fixed?

I still think it's useful to have a grub.conf installed - it's relatively easy
to fire up a copy of grub (from a rescue disk, floppy, etc.) then load a default
grub.conf using the configfile command. If it doesn't work, then it's easy to
change e.g. the root device and try again. Once working, grub can be
re-installed to MBR or wherever.

It's tough, however, to build a grub.conf completely from scratch. On the odd
times this has happened I've had to go find an existing copy on another machine
as a starting point. i.e. if you find yourself in this situation, life's made
harder if the install has never had a grub.conf built.

> I guess it is
> teoretically possible to generate some template. But I cannot generate working
> grub.conf without the user choosing the MBR/partition target and the drive to
> install it to.

I don't understand why grub.conf can't be generated as normal? As I understand
it grub device naming is absolute, not relative to the root (or MBR/partition
target). Looking at my current grub.conf I don't see anything that's dependent
on the MBR/partition target.

I'm suggesting that, even if the user selects "No boot loader", you still build
grub.conf as usual (just don't install 1st stage grub to the MBR/partition
target afterwards).

The grub.conf may not be exactly correct when it comes to be used, but at least
it's a starting point (and was correct at the time it was generated).
Comment 3 Bug Zapper 2008-05-14 08:58:38 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Martin Sivák 2008-05-14 19:56:15 EDT
I think you have a point requesting some kind of grub template, but
unfortunately   it does not have a priority right now. The code doesn't allow
that at the moment, but I'll think about it and at least discuss it with our
grub people, I promise.
Comment 5 Martin Sivák 2008-10-20 06:52:41 EDT
Ok, i did discuss the problem with my coleagues and we think that some kind of template should be provided directly by grub package. Either as /boot/grub/menu.lst.template of some kind or as part of the /usr/share/doc/grub. so I'm reassigning this bug to grub.
Comment 6 Jeremy Katz 2009-04-28 15:58:02 EDT
There's an example grub.conf as /usr/share/doc/grub*/menu.lst.  Doing more than that requires that you actually install the bootloader as some of the paths are dependent on how you're installing grub

Note You need to log in before you can comment on or make changes to this bug.